zenilib: png_XYZ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
png_XYZ Struct Reference

`#include <pngpriv.h>`

## Public Attributes

png_fixed_point | blueX
png_fixed_point | blueY
png_fixed_point | blueZ
png_fixed_point | greenX
png_fixed_point | greenY
png_fixed_point | greenZ
png_fixed_point | redX
png_fixed_point | redY
png_fixed_point | redZ

## Detailed Description

Definition at line 1333 of file pngpriv.h.

## Member Data Documentation

png_fixed_point png_XYZ::blueX

Definition at line 1337 of file pngpriv.h.

Referenced by png_get_cHRM_XYZ(), png_get_cHRM_XYZ_fixed(), png_set_cHRM_XYZ_fixed(), png_xy_from_XYZ(), and png_XYZ_from_xy().

png_fixed_point png_XYZ::blueY

Definition at line 1337 of file pngpriv.h.

Referenced by png_get_cHRM_XYZ(), png_get_cHRM_XYZ_fixed(), png_handle_cHRM(), png_set_cHRM_XYZ_fixed(), png_xy_from_XYZ(), and png_XYZ_from_xy().

png_fixed_point png_XYZ::blueZ

Definition at line 1337 of file pngpriv.h.

Referenced by png_get_cHRM_XYZ(), png_get_cHRM_XYZ_fixed(), png_set_cHRM_XYZ_fixed(), png_xy_from_XYZ(), and png_XYZ_from_xy().

png_fixed_point png_XYZ::greenX

Definition at line 1336 of file pngpriv.h.

Referenced by png_get_cHRM_XYZ(), png_get_cHRM_XYZ_fixed(), png_set_cHRM_XYZ_fixed(), png_xy_from_XYZ(), and png_XYZ_from_xy().

png_fixed_point png_XYZ::greenY

Definition at line 1336 of file pngpriv.h.

Referenced by png_get_cHRM_XYZ(), png_get_cHRM_XYZ_fixed(), png_handle_cHRM(), png_set_cHRM_XYZ_fixed(), png_xy_from_XYZ(), and png_XYZ_from_xy().

png_fixed_point png_XYZ::greenZ

Definition at line 1336 of file pngpriv.h.

Referenced by png_get_cHRM_XYZ(), png_get_cHRM_XYZ_fixed(), png_set_cHRM_XYZ_fixed(), png_xy_from_XYZ(), and png_XYZ_from_xy().

png_fixed_point png_XYZ::redX

Definition at line 1335 of file pngpriv.h.

Referenced by png_get_cHRM_XYZ(), png_get_cHRM_XYZ_fixed(), png_set_cHRM_XYZ_fixed(), png_xy_from_XYZ(), and png_XYZ_from_xy().

png_fixed_point png_XYZ::redY

Definition at line 1335 of file pngpriv.h.

Referenced by png_get_cHRM_XYZ(), png_get_cHRM_XYZ_fixed(), png_handle_cHRM(), png_set_cHRM_XYZ_fixed(), png_xy_from_XYZ(), and png_XYZ_from_xy().

png_fixed_point png_XYZ::redZ

Definition at line 1335 of file pngpriv.h.

Referenced by png_get_cHRM_XYZ(), png_get_cHRM_XYZ_fixed(), png_set_cHRM_XYZ_fixed(), png_xy_from_XYZ(), and png_XYZ_from_xy().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/libpng/pngpriv.h